'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ApprovalItem = require('./ApprovalItem');

var _ApprovalItem2 = _interopRequireDefault(_ApprovalItem);

var _reactFlipMove = require('react-flip-move');

var _reactFlipMove2 = _interopRequireDefault(_reactFlipMove);

var _AddItem = require('../containers/AddItem');

var _AddItem2 = _interopRequireDefault(_AddItem);

var _Buttons = require('./Buttons');

var _styles = require('./styles.css');

var _styles2 = _interopRequireDefault(_styles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ApprovalRoute = function ApprovalRoute(_ref) {
	var approvalRoute = _ref.approvalRoute;
	var _clickRemove = _ref.clickRemove;
	var clickUnion = _ref.clickUnion;
	var clickMoveDown = _ref.clickMoveDown;
	var _ref$itemsCount = _ref.itemsCount;
	var itemsCount = _ref$itemsCount === undefined ? approvalRoute.length : _ref$itemsCount;
	return _react2.default.createElement(
		'div',
		{ className: 'approvalRoute' },
		_react2.default.createElement(
			'h3',
			{ className: 'approvalRoute__title' },
			'Лист согласования'
		),
		_react2.default.createElement(
			_reactFlipMove2.default,
			{ enterAnimation: 'accordianVertical', leaveAnimation: 'accordianVertical' },
			approvalRoute.map(function (item, index) {
				if (item.itemType === 'approver') {
					var divStyle = { zIndex: itemsCount - index };
					return _react2.default.createElement(
						'div',
						{ key: item.id, className: _styles2.default.itemWrapper, style: divStyle },
						_react2.default.createElement(_ApprovalItem2.default, _extends({}, item, {
							clickRemove: function clickRemove() {
								return _clickRemove(item.id);
							}
						})),
						approvalRoute[index + 1] && approvalRoute[index + 1].itemType === 'approver' ? _react2.default.createElement(_AddItem2.default, { prevItemID: item.id }) : null
					);
				} else {
					return _react2.default.createElement(
						'div',
						{ key: item.id, className: _styles2.default.stage },
						_react2.default.createElement(_Buttons.UnionBtn, { onClick: function onClick() {
								return clickUnion(item.id);
							} }),
						_react2.default.createElement(_Buttons.MoveDownBtn, { onClick: function onClick() {
								return clickMoveDown(item.id);
							} })
					);
				}
			})
		)
	);
};

exports.default = ApprovalRoute;