import React from 'react'
import ApprovalItem from './ApprovalItem'
import FlipMove from 'react-flip-move';
import AddItem from '../containers/AddItem'
import { UnionBtn, MoveDownBtn } from './Buttons'

import css from './styles.css'

const ApprovalRoute = ({
	approvalRoute,
	clickRemove,
	clickUnion,
	clickMoveDown,
	itemsCount = approvalRoute.length
}) => (
	<div className='approvalRoute'>
		<h3 className='approvalRoute__title'>Лист согласования</h3>
			<FlipMove enterAnimation='accordianVertical' leaveAnimation='accordianVertical'>
				{approvalRoute.map((item, index) => {
						if (item.itemType === 'approver') {
							let divStyle={zIndex: itemsCount - index}
							return (
								<div key={item.id} className={css.itemWrapper} style={divStyle}>
									<ApprovalItem  {...item} 
										clickRemove = {() => clickRemove(item.id)}
									/>
									{approvalRoute[index+1] && approvalRoute[index+1].itemType === 'approver' ? <AddItem prevItemID={item.id}/> : null}
								</div>
							)
						} else {
							return (
								<div key={item.id} className={css.stage}>
									<UnionBtn onClick={() => clickUnion(item.id)}/>
									<MoveDownBtn onClick={() => clickMoveDown(item.id)}/>
								</div>
							)
						}
					}
				)}
			</FlipMove>
	</div>
)

export default ApprovalRoute