import React from 'react'
import { ArrowUp, ArrowDown, ArrowNext } from './Icons'


import css from './styles.css'

const Cross = () => (
	<svg fill='#000000' viewBox='0 0 24 24' xmlns='http://www.w3.org/2000/svg'>
		<path d='M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12z'/>
	</svg> 
);

const RemoveBtn = ({
	onClick
}) => (
	<div onClick={onClick} className={css.removeBtn}>
		<Cross/>
	</div>
);

export const UnionBtn = ({
	onClick
}) => (
	<div onClick={onClick} className={css.unionBtn}>
		<ArrowDown/>
		<ArrowUp/>
	</div>
);

export const MoveDownBtn = ({
	onClick
}) => (
	<div className={css.example} onClick={onClick}>
		<ArrowNext/>
	</div>
);

export default RemoveBtn